---
title: performance.getEntriesByName()
slug: Web/API/Performance/getEntriesByName
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("Performance Timeline API")}}</div>

<p>The <strong><code>getEntriesByName()</code></strong> method returns a list of {{domxref("PerformanceEntry")}} objects for the given <em>name</em> and <em>type</em>. The list's members (<em>entries</em>) can be created by making performance <em>marks</em> or <em>measures</em> (for example by calling the {{domxref("Performance.mark","mark()")}} method) at explicit points in time.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>entries</em> = window.performance.getEntriesByName(name, type);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>name</dt>
 <dd>The name of the entry to retrieve.</dd>
 <dt>type {{optional_inline}}</dt>
 <dd>The type of entry to retrieve such as "<code>mark</code>". The valid entry types are listed in {{domxref("PerformanceEntry.entryType")}}.</dd>
</dl>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt>entries</dt>
 <dd>A list of {{domxref("PerformanceEntry")}} objects that have the specified <code>name</code> and <code>type</code>. If the <code>type</code> argument is not specified, only the <code>name</code> will be used to determine the entries to return. The items will be in chronological order based on the entries' {{domxref("PerformanceEntry.startTime","startTime")}}. If no objects meet the specified criteria, an empty list is returned.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">function use_PerformanceEntry_methods() {
  log("PerformanceEntry tests ...");

  if (performance.mark === undefined) {
    log("... performance.mark Not supported");
    return;
  }

  // Create some performance entries via the mark() method
  performance.mark("Begin");
  do_work(50000);
  performance.mark("End");
  performance.mark("Begin");
  do_work(100000);
  performance.mark("End");
  do_work(200000);
  performance.mark("End");

  // Use getEntries() to iterate through the each entry
  var p = performance.getEntries();
  for (var i=0; i &lt; p.length; i++) {
    log("Entry[" + i + "]");
    check_PerformanceEntry(p[i]);
  }

  // Use getEntries(name, entryType) to get specific entries
  p = performance.getEntries({name : "Begin", entryType: "mark"});
  for (var i=0; i &lt; p.length; i++) {
    log("Begin[" + i + "]");
    check_PerformanceEntry(p[i]);
  }

  // Use getEntriesByType() to get all "mark" entries
  p = performance.getEntriesByType("mark");
  for (var i=0; i &lt; p.length; i++) {
    log ("Mark only entry[" + i + "]: name = " + p[i].name +
         "; startTime = " + p[i].startTime +
         "; duration  = " + p[i].duration);
  }

  // Use getEntriesByName() to get all "mark" entries named "Begin"
  p = performance.getEntriesByName("Begin", "mark");
  for (var i=0; i &lt; p.length; i++) {
    log ("Mark and Begin entry[" + i + "]: name = " + p[i].name +
         "; startTime = " + p[i].startTime +
         "; duration  = " + p[i].duration);
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Performance Timeline Level 2', '#dom-performance-getentriesbyname', 'getEntriesByName()')}}</td>
   <td>{{Spec2('Performance Timeline Level 2')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('Performance Timeline', '#dom-performance-getentriesbyname', 'getEntriesByName()')}}</td>
   <td>{{Spec2('Performance Timeline')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.getEntriesByName")}}</p>
</div>
